commit:     e0cd0857c25ad6432261d80495cb03571ed2ef8c
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Mon Mar 14 20:31:43 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Mon Mar 14 23:06:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0cd0857

dev-perl/Pango: Bump to version 1.227.0

- EAPI6
- Add support for testing under virtual-X11
- Add USE="examples"

NB: and gtk-perl X11 Test dependencies only pulled when both USE="test 
-minimal" are set,
because "test" being set doesn't necessarily mean you want to pay the price for 
the
heavy, optional extra stuff. ( And gtk-perl is a bit slow to install )

This way, you can continue using FEATURES="test", but you can save yourself 
some effort
and still get good test coverage if you have USE="minimal" in your environment

Package-Manager: portage-2.2.27

 dev-perl/Pango/Manifest             |  1 +
 dev-perl/Pango/Pango-1.227.0.ebuild | 55 +++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-perl/Pango/Manifest b/dev-perl/Pango/Manifest
index 91a5b1b..6189dea 100644
--- a/dev-perl/Pango/Manifest
+++ b/dev-perl/Pango/Manifest
@@ -1 +1,2 @@
 DIST Pango-1.224.tar.gz 46017 SHA256 
39d7b506729f81ecbfb986b2b50020d6a6b9a118df4a140de92dbfd9ca8dae72 SHA512 
3c73f31919862393b87a4c410af2a5b60c09636aa77b70beb6a65b348b9fe609b128a80dcab3cab8493f9263263edb9c2255be29805cd9d2625d127d42e4de07
 WHIRLPOOL 
8165c5844b910665168ee870d2452381be368a2bc6e42ec6cc1310b6953cee21015d7622efcbba331e7815a9f2c6a2ea4b55672633f8e732776b8ca1c30f3a4b
+DIST Pango-1.227.tar.gz 46457 SHA256 
34b0a422df3fecd7597587048552457d48ae764c43bbefd2a9d62ceb6c8bac71 SHA512 
df44d126d6a9aaa7b7dc2d993ca00fe9eb6abdeb6c7f75ddebc71728b0cfd2d7404c2d27e2dbcbb7acdd73f30888d4abc5c33da9ecbbc7d155f67d083960f29c
 WHIRLPOOL 
0262cd28e225e80da153c3c0b96f3228f6151e288d49dd98791032372018162a8c44da72cabc4c36089be68047e5713e6f3dda396be5a47b43e1bc3a36d30fa0

diff --git a/dev-perl/Pango/Pango-1.227.0.ebuild 
b/dev-perl/Pango/Pango-1.227.0.ebuild
new file mode 100644
index 0000000..5bc5648
--- /dev/null
+++ b/dev-perl/Pango/Pango-1.227.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DIST_AUTHOR=XAOC
+DIST_VERSION=1.227
+VIRTUALX_REQUIRED=manual
+
+inherit perl-module virtualx
+
+DESCRIPTION="Layout and render international text"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="examples test minimal"
+
+RDEPEND="
+       >=dev-perl/glib-perl-1.220.0
+       >=dev-perl/Cairo-1.0.0
+       >=x11-libs/pango-1.0.0
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/perl-ExtUtils-MakeMaker
+       >=dev-perl/ExtUtils-Depends-0.300.0
+       >=dev-perl/extutils-pkgconfig-1.30.0
+       test? (
+               virtual/perl-Test-Simple
+               !minimal? (
+                       >=dev-perl/gtk2-perl-1.220.0
+                       $VIRTUALX_DEPEND
+               )
+       )
+"
+
+src_prepare() {
+       perl-module_src_prepare
+       sed -i -e "s:exit 0:exit 1:g" "${S}"/Makefile.PL || die "sed failed"
+}
+src_install() {
+       local mydoc
+       mydoc=("NEWS")
+       perl-module_src_install
+       if use examples; then
+               docompress -x /usr/share/doc/${PF}/examples
+               insinto /usr/share/doc/${PF}/examples
+               doins examples/*
+       fi
+}
+src_test() {
+       virtx perl-module_src_test
+}

Reply via email to